#ifndef _GETOPT_H_INCLUDED_
#define _GETOPT_H_INCLUDED_
///////////////////////////////////////////////////////////////////////////////
//                                                         
// GetOpt.h
// --------
// GetOpt class definition
//                                                         
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2000-2016 Bjoern Lemke
//
// INTERFACE MODULE
//
// Class: GetOpt
// 
// Description: Handling arguments from the command line
//
// Status: CLEAN
//
///////////////////////////////////////////////////////////////////////////////

class GetOpt {
    
public:
    
    GetOpt(int argc, char** argv, char *f);  
    ~GetOpt();
    
    int firstOpt();
    int nextOpt();
    char* getArg();
    
private:
    
    int parseOpt();  
    bool isValidOption(int c);
    
    int _optPos;
    int _argc;
    char **_argv;
    char *_pF;
    char *_optArg;
};
#endif
